Bug 343751 - SELinux is preventing /usr/bin/ardour from loading /usr/lib/ladspa/sc4m_1916.so which requires text relocation.
SELinux is preventing /usr/bin/ardour from loading /usr/lib/ladspa/sc4m_1916....
Status: CLOSED DUPLICATE of bug 253934
Product: Fedora
Classification: Fedora
Component: ladspa-swh-plugins (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 07:35 EDT by Wayne Armstrong
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 15:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Armstrong 2007-10-20 07:35:35 EDT
The /usr/bin/ardour application attempted to load /usr/lib/ladspa/sc4m_1916.so
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests web page
explains how to remove this requirement. You can configure SELinux temporarily
to allow /usr/lib/ladspa/sc4m_1916.so to use relocation as a workaround, until
the library is fixed. Please file a bug report against this package.
Comment 1 Anthony Green 2007-11-11 15:55:00 EST

*** This bug has been marked as a duplicate of 253934 ***

Note You need to log in before you can comment on or make changes to this bug.